Subject: bug#52341: Fwd: 29.0.50; org-priority 'SPC to remove' doesn't work

From: Robert Pluim <[email-masked]>
Date: Tue, 07 Dec 2021 11:41:55 +0100

>>>>> On Mon, 06 Dec 2021 20:48:46 -0500, Kyle Meyer <[email-masked]> said:
    Kyle> Right, this stems from org-priority feeding " " to string-to-number and
    Kyle> ending up with 0 instead of the ?\s (32) that's used downstream to
    Kyle> signal "remove".  The problem goes back to when support for numeric
    Kyle> priorities was added in Org v9.4's 4f98694bf (Allow numeric values for
    Kyle> priorities, 2020-01-30).

    Kyle> I suppose one solution would be to check for " " and translate that to
    Kyle> the ?\s so that the remove is triggered.  I'll plan to apply the change
    Kyle> below to Org's bugfix branch in a day or two unless the author of the
    Kyle> above commit (+cc) or someone else has another suggestion.

That fixes part of the issue, but still when using numeric priorities,
removal will be 'SPC RET' rather than 'SPC'.

Robert
--